%define anolis_release 1
Name:	jitterentropy
Version:	3.4.0
Release:	%{anolis_release}%{?dist}
Summary:	Library implementing the jitter entropy source

License:	BSD or GPLv2
URL:		https://github.com/smuellerDD/jitterentropy-library
Source0:	%{url}/archive/v%{version}/%{name}-library-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: make

Patch1: 0001-remove-s-to-fix-build-failed-with-no-debuginfo.patch

%description
Library implementing the CPU jitter entropy source

%package devel
Summary: Development headers for jitterentropy library
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Development headers and libraries for jitterentropy

%prep
%autosetup -p1 -n %{name}-library-%{version} 

%build
%set_build_flags
%make_build

%install
mkdir -p %{buildroot}/usr/include/
%make_install PREFIX=/usr LIBDIR=%{_lib}

%files
%doc README.md CHANGES.md
%license LICENSE LICENSE.bsd LICENSE.gplv2
%{_libdir}/libjitterentropy.so.3*

%files devel
%{_includedir}/*
%{_libdir}/libjitterentropy.so
%{_mandir}/man3/*

%changelog
* Wed Apr 13 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.4.0-1
- init from upstream
